create_circle#

Modeler3DLayout.create_circle(layername, x, y, radius, name=None, net_name=None, **kwargs)[source]#

Create a circle on a layer.

Parameters:
layernamestr

Name of the layer.

xfloat

Position on the X axis.

yfloat

Position on the Y axis.

radiusfloat

Radius of the circle.

namestr, optional

Name of the circle. The default is None, in which case the default name is assigned.

net_namestr, optional

Name of the net. The default is None, in which case the default name is assigned.

Returns:
pyaedt.modeler.cad.object3dlayout.Circle3dLayout

Objects of the circle created when successful.

References

>>> oEditor.CreateCircle